<?php

/**
 * Displays a screenshot of a web page.
 *
 * @param array $variables
 *  The parameters of the theme() function.
 *
 * @access public
 *
 * @return string|bool
 *  The image tag or FALSE on error.
 */
function theme_pagepeeker_image($url, $size) {
  $sizes = _pagepeeker_sizes();
  $size = $sizes[$size];
  $formatted_url = _pagepeeker_format_url($url, $size['domain_only']);

  if (!$formatted_url) {
    return FALSE;
  }

  $options = $variables['image_options'];
  $options['attributes'] = (!empty($options['attributes'])) ? $options['attributes'] : array();

  $url_options = $variables['url_options'];
  $url_options['html'] = TRUE;

  //create the PagePeeker image source
  $path = $size['url'] . $formatted_url;
  $attributes = array('style' => 'height: ' . $size['height'] . 'px; width: ' .  $size['width'] . 'px');
    
  return l(
    theme_image($path, '', $formatted_url, $attributes, FALSE),
    $url,
    $url_options
  );
}

function theme_pagepeeker_formatter_f($element) {
  return theme('pagepeeker_image', $element['#item']['url'], 'f');
}

function theme_pagepeeker_formatter_t($element) {
  return theme('pagepeeker_image', $element['#item']['url'], 't');
}

function theme_pagepeeker_formatter_s($element) {
  return theme('pagepeeker_image', $element['#item']['url'], 's');
}

function theme_pagepeeker_formatter_m($element) {
  return theme('pagepeeker_image', $element['#item']['url'], 'm');
}

function theme_pagepeeker_formatter_l($element) {
  return theme('pagepeeker_image', $element['#item']['url'], 'l');
}

function theme_pagepeeker_formatter_x($element) {
  return theme('pagepeeker_image', $element['#item']['url'], 'x');
}
